Packages - Bug #3464

ClamAV Bytecode Database Does Not Get Updated
2023-04-09 04:00 PM - mineral

Status: not-a-bug % Done: 90%
Priority: bug

Assignee:

Category:

Description

¢ Code to be run:

$ sudo freshclam

e Expected result: Bytecode database to be updated.

¢ Actual result:

ClamAV update process started at Sun Apr 9 15:28:55 2023

WARNING: Your ClamAV installation is OUTDATED!

WARNING: Local version: 0.103.3 Recommended version: 0.103.8

DON'T PANIC! Read https://www.clamav.net/documents/upgrading-clamav

daily.cld database is up-to-date (version: 26870, sigs: 2029068, f-level: 90, builder: raynman
)

main.cvd database is up-to-date (version: 62, sigs: 6647427, f-level: 90, builder: sigmgr)

bytecode database available for update (local version: 333, remote version: 334)

Current database is 1 version behind.

Downloading database patch # 334...

ERROR: cdiff_apply: lseek(desc, -350, SEEK_END) failed

ERROR: downloadPatch: Can't apply patch

The database server doesn't have the latest patch for the bytecode database (version 334). The
server will likely have updated if you check again in a few hours.

History

#1 - 2023-07-13 07:38 AM - wael
- % Done changed from 0 to 90

- Status changed from unconfirmed to not-a-bug

Please provide more context or even if this is still an issue, as with the default config | can confirm on two separate systems that it is synchronizing.

#2 - 2023-11-12 06:23 PM - mineral

Only Parabola was installed on the disk. | tried something and got the expected result.
| removed the package and also some related files:

$ sudo pacman -Rns clamav

$ sudo rm -r /var/lib/clamav

| reinstalled it and run:

$ sudo freshclam
